import board, time, digitalio, touchio
from audiopwmio import PWMAudioOut as AudioOut
from audiocore import WaveFile

speaker = digitalio.DigitalInOut(board.SPEAKER_ENABLE)
speaker.direction = digitalio.Direction.OUTPUT
speaker.value = True
audio = AudioOut(board.SPEAKER)

pad = [board.A1, board.A2, board.A3, board.A4, board.A5, board.A6, board.TX]
touchpad =[]

for i in range(len(pad)):
    touchpad.append(touchio.TouchIn(pad[i]))

def play_sound(filename):
    with open(path + filename, "rb") as wave_file:
        wave = WaveFile(wave_file)
        audio.play(wave)
        while audio.playing:
            pass

path = "comm-sounds/"
comm_sounds = ["greeting.wav","hungry.wav", "joke.wav","love.wav","tapit.wav","wheel.wav","music.wav"]


while True:
    for i in range(len(touchpad)):
        if touchpad[i].value:
            play_sound(comm_sounds[i])
            time.sleep(1.0)


